put
https://api.accelevents.com/rest/host/speaker//assignAttendeeAccessToSpeaker
Using this API you can allow the speaker to use the platform as an attendee.
To grant/revoke attendee access you need to pass the isAllowAttendeeAccess as true/false respective. There are some restrictions on event/ticket type to grant attendee access to the speaker as given below:
- You can give attendees access for free ticket type only.
- For the Hybrid event type, you can not give attendees access to the speaker for the In-person ticket.
Only authorized users can use this API and require event admin, event staff, and super admin access.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Here is the description of response attributes, which return in the form of JSON.
| Attribute | Description |
|---|---|
| userId | The unique ID of each user. It will be generated automatically when a new user is created. |
| ticketTypeId | The unique ID of each ticket type Id. It will be generated automatically when a new ticket type is created for the event. |
| speakerOrder | if the speaker joins as an attendee then this returns true else returns false. |
Here are the possible error messages, which return if any condition gets failed or required data is missing for processing.
| Error Code | Error Description |
|---|---|
| 400 | The request could not be understood by the server due to malformed syntax. |
| 401 | You are not authorized to view the resource |
| 403 | Accessing the resource you were trying to reach is forbidden. |
| 404 | The resource you were trying to reach is not found. |
| 4040200 | Event Not Found |